package com.iamberry.wechat.service.integral;

import com.iamberry.wechat.core.entity.integral.IntegralOrderAddress;
import com.iamberry.wechat.face.integral.IntegralOrderAddressService;
import com.iamberry.wechat.service.mapper.IntegralOrderAddressMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 *  积分商城订单邮寄信息接口
 * @author Administrator
 * @Date 2018-04-28
 */
@Service
public class IntegralOrderAddressServiceImpl  implements IntegralOrderAddressService {
    @Autowired
    private IntegralOrderAddressMapper integralOrderAddressMapper;
    /**
     * 获取集合
     * @param  integralOrderAddress
     * @return List
     */
    @Override
    public List<IntegralOrderAddress> getIntegralOrderAddressList(IntegralOrderAddress  integralOrderAddress){
        return  integralOrderAddressMapper.getIntegralOrderAddressList(integralOrderAddress);
    }
    /**
     * 查询单条数据
     * @param  id
     * @return  integralOrderAddress
     */
    @Override
    public  IntegralOrderAddress  getIntegralOrderAddressById(Integer  id){
        return  integralOrderAddressMapper.getIntegralOrderAddressById(id);
    }
    /**
     * 增加数据
     * @param  integralOrderAddress
     * @return Integer
     */
    @Override
    public  Integer  save(IntegralOrderAddress  integralOrderAddress){
        return  integralOrderAddressMapper.save(integralOrderAddress);
    }
    /**
     * 修改数据
     * @param  integralOrderAddress
     * @return Integer
     */
    @Override
    public  Integer  update(IntegralOrderAddress integralOrderAddress){
        return  integralOrderAddressMapper.update(integralOrderAddress);
    }
    /**
     * 删除数据
     * @param  id
     * @return Integer
     */
    @Override
    public  Integer  delete(Integer  id){
        return  integralOrderAddressMapper.delete(id);
    }
}